Name:           mysqltuner
Version:        1.6.6
Release:        1.art
Summary:        MySQL high performance tuning script

Group:          Applications/Databases
License:        GPLv3+
URL:            http://mysqltuner.com/
Source:         https://raw.githubusercontent.com/major/MySQLTuner-perl/master/mysqltuner.pl
Source1:	mysqlfragfinder.sh
Source2:	basic_passwords.txt
Source3:	vulnerabilities.csv
Source4:	LICENSE
Source5:	USAGE.md

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       mysql
Requires:       which

%description
MySQLTuner is a script written in Perl that will assist you with your
MySQL configuration and make recommendations for increased performance
and stability.  Within seconds, it will display statistics about your
MySQL installation and the areas where it can be improved.


%prep
#%setup -q -c -T
#%setup -n MySQLTuner-perl-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}/

install -Dpm 755 %{SOURCE0}  $RPM_BUILD_ROOT%{_bindir}/mysqltuner
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/mysqlfragfinder
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/%{name}/basic_passwords.txt
install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/%{name}/vulnerabilities.csv
install -Dpm 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/doc/%{name}/LICENSE
install -Dpm 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/doc/%{name}/USAGE.md



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/mysqltuner
%{_bindir}/mysqlfragfinder
/usr/share/mysqltuner/*
/usr/share/doc/mysqltuner/*


%changelog
* Fri Mar 18 2016 Scott R. Shinn <scott@atomicrocketturtle.com> 1.6.6-1
- Update to 1.6.6

* Sun Feb 28 2016 Scott R. Shinn <scott@atomicrocketturtle.com> 1.6.4-1
- Update to 1.6.4
- add basic_passwords and vulnerabilies.csv

* Sun Oct 11 2015 Scott R. Shinn <scott@atomicrocketturtle.com> 1.6.0-8
- Update to 1.6.0

* Thu Jan 22 2015 Scott R. Shinn <scott@atomicrocketturtle.com> 1.4.0-7
- Update mysqltuner to 1.4.0
- Update mysqlfragfinder to 1.0.2

* Wed Sep 25 2013 Scott R. Shinn <scott@atomicrocketturtle.com> 1.2.0-6
- Update mysqlfragfinder to commit (95b0f480ac)

* Wed Dec 5 2012 Scott R. Shinn <scott@atomicrocketturtle.com> 1.2.0-5
- Update mysqlfragfinder to commit (a0f7f15 : https://github.com/pdufault/mysqlfragfinder/commit/a0f7f15519398dcbef56168718f2b6dc398ffa4e)

* Wed Nov 14 2012 Scott R. Shinn <scott@atomicrocketturtle.com> 1.2.0-4
- Add mysqlfragfinder (https://github.com/pdufault/mysqlfragfinder) to package

* Thu Jun 9 2011 Scott R. Shinn <scott@atomicrocketturtle.com> 1.2.0-1
- update to 1.2.0

* Sat Sep 19 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.1.1-1
- update to 1.1.1

* Sat Sep 19 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.1.0-2
- Relinked against new repos

* Fri Sep 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.1.0-1
- Update to 1.1.0

* Wed Mar 11 2009 Scott R. Shinn <scott@atomicrocketturtle.com> 1.0.0-1
- Update to 1.0.0

* Thu Sep 11 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9.9-1
- 0.9.9.
- Update description.

* Mon Jul 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9.8-1
- 0.9.8, --checkversion patch applied upstream.

* Sat Jun 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9.1-4
- Don't warn if --skipversion is used (#452172).

* Thu Jun 19 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9.1-1
- 0.9.1.
- Patch to not "phone home" by default (--skipversion -> --checkversion).

* Sat Apr 12 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9.0-1
- 0.9.0.

* Sun Mar  2 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.8.6-1
- 0.8.6.

* Mon Feb 18 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.8.5-1
- 0.8.5.
